Skip to main content
Alerting & Response/Alert Channels & Integrations

GetAlertIntegrationStatus

Get the current integration status for a specific platform

GET/api/v1/alerting/integrations/{platformUuid}/status

Operation ID

GetAlertIntegrationStatus

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • platformUuid
    StringRequired

    Platform UUID to check integration status for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • uuid
    String

    Unique identifier of the integration entry

    Example: integ-001

  • platformUuid
    String

    Platform UUID this integration connects to

    Example: plat-001-abc

  • targetState
    String

    Desired integration state (enabled or disabled)

    Example: enabled

  • currentState
    String

    Actual current state of the integration

    Example: enabled

  • webhookUrl
    String

    Webhook URL configured on the platform

    Example: https://zcf.example.com/api/v1/alerting/receive

  • webhookId
    String

    Webhook identifier on the platform side

    Example: wh-plat-001

  • lastReconcileAt
    String

    Timestamp of the last reconciliation check

    Example: 2026-01-15T08:00:00Z

  • driftCount
    Integer

    Number of detected configuration drifts

    Example: 20

  • lastError
    String

    Last error message from reconciliation

    Example: timeout after 30s

  • createDate
    String

    Timestamp when the integration was created

    Example: 2026-01-15T08:00:00Z

  • lastOpDate
    String

    Timestamp of the last operation on the integration

    Example: 2026-01-15T08:00:00Z

  • platformName
    String

    Human-readable name of the platform

    Example: Production ZStack

  • productType
    String

    Product type of the platform

    Example: zstack

  • lastReceiveAt
    String

    Last receive at for this resource

    Example: 2026-01-15T08:00:00Z

  • parseFailureCount
    Integer

    Parse failure count for this resource

    Example: 10

  • unknownEventCount
    Integer

    Unknown event count for this resource

    Example: 10

  • defaultEventCatalogCount
    Integer

    Default event catalog count for this resource

    Example: 10

  • Change Time

    AddedResponse fields defaultEventCatalogCount, lastReceiveAt, parseFailureCount...
    View API